Skip to content

Stage a new role into a change request

POST
/api/v1/projects/{projectId}/roles
curl --request POST \
--url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roles?sandboxId=example' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example" }'

The change is staged into the change request named by sandboxId and applies only at promotion. Project-admin gated.

projectId
required
string format: uuid
sandboxId
required
string
Media typeapplication/json
object
name
required
string
>= 1 characters
description
string | null

Example generated

{
"name": "example",
"description": "example"
}

OK

Media type*/*
object
id
required
string
name
required
string
description
string | null
builtIn
required
boolean
createdAt
required
string format: date-time
modifiedAt
required
string format: date-time